close all
clearvars
clc

m=0;
for in=1:369
    m=m+1;
    
    statlinbs(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavelin-',num2str(in),'_Reaction_Base_Shear.plo']);
    
    statlinovtm(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavelin-',num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    statlinbs2(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwaveCD2lin-',num2str(in),'_Reaction_Base_Shear.plo']);
    
    statlinovtm2(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwaveCD2lin-',num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    statlinconstbs(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavelinconst-',num2str(in),'_Reaction_Base_Shear.plo']);
    
    statlinconstovtm(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavelinconst-',num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    statwheelerbs(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavelinwheeler-',num2str(in),'_Reaction_Base_Shear.plo']);
    
    statwheelerovtm(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavelinwheeler-',num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    statsecbs(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavesec-',num2str(in),'_Reaction_Base_Shear.plo']);
    
    statsecovtm(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavesec-',num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    statsecwheelerbs(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavesecwheeler-',num2str(in),'_Reaction_Base_Shear.plo']);
    
    statsecwheelerovtm(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavesecwheeler-',num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    %=====================================================================%
    dynlinbs(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwavelin-',num2str(in),'_Reaction_Base_Shear.plo']);
    
    dynlinovtm(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwavelin-',num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    dynlinbs2(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwaveCD2lin-',num2str(in),'_Reaction_Base_Shear.plo']);
    
    dynlinovtm2(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwaveCD2lin-',num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    dynlinconstbs(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwavelinconst-',num2str(in),'_Reaction_Base_Shear.plo']);
    
    dynlinconstovtm(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwavelinconst-',num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    dynwheelerbs(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwavelinwheeler-',num2str(in),'_Reaction_Base_Shear.plo']);
    
    dynwheelerovtm(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwavelinwheeler-',num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    dynsecbs(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwavesec-',...
        num2str(in),'_Reaction_Base_Shear.plo']);
    
    dynsecovtm(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwavesec-',...
        num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    dynsecwheelerbs(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',....
        'DYNAMIC\DYNAMICwavesecwheeler-',...
        num2str(in),'_Reaction_Base_Shear.plo']);
    
    dynsecwheelerovtm(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'DYNAMIC\DYNAMICwavesecwheeler-',...
        num2str(in),'_Reaction_Overturn_Moment.plo']);
    
    %=====================================================================%
    %sea surface
    %=====================================================================%
    linearsurf(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavelin-',num2str(in),'_Surface_Elevation.plo']);
    secondsurf(:,:,m)=load(['D:\PROJECT2\USFOS\JACKUP\BIG\',...
        'STATIC\STATICwavesec-',num2str(in),'_Surface_Elevation.plo']);
end

IS=find(statlinbs(:,1,1)>5*60,1);
%--------------------------------------------------------------------------
%MAX
%--------------------------------------------------------------------------

maxstatlinbs=max(statlinbs(IS:end,2,:),[],1);
maxstatlinbs=maxstatlinbs(:);maxstatlinbs=unique(maxstatlinbs);
maxstatlinbs(randperm(numel(maxstatlinbs)))=maxstatlinbs;
maxdynlinbs=max(dynlinbs(IS:end,2,:),[],1);
maxdynlinbs=maxdynlinbs(:);maxdynlinbs=unique(maxdynlinbs);
maxdynlinbs(randperm(numel(maxdynlinbs)))=maxdynlinbs;
%figure
%plot(sort(maxstatlinbs),-log(-log((1:numel(maxstatlinbs))/(numel(maxstatlinbs)+1))),'.');hold all
%plot(sort(maxdynlinbs),-log(-log((1:numel(maxdynlinbs))/(numel(maxdynlinbs)+1))),'.');hold all
%xlabel('Base Shear [N]');ylabel('CDF');title('Positive First Order-Linear Ext Base Shear');
%legend('STATIC','DYNAMIC');

maxstatlinbs2=max(statlinbs2(IS:end,2,:),[],1);
maxstatlinbs2=maxstatlinbs2(:);maxstatlinbs2=unique(maxstatlinbs2);
maxdynlinbs2=max(dynlinbs2(IS:end,2,:),[],1);
maxdynlinbs2=maxdynlinbs2(:);maxdynlinbs2=unique(maxdynlinbs2);

maxstatlinovtm=max(statlinovtm(IS:end,2,:),[],1);
maxstatlinovtm=maxstatlinovtm(:);maxstatlinovtm=unique(maxstatlinovtm);
maxdynlinovtm=max(dynlinovtm(IS:end,2,:),[],1);
maxdynlinovtm=maxdynlinovtm(:);maxdynlinovtm=unique(maxdynlinovtm);
%figure
%plot(sort(maxstatlinovtm),-log(-log((1:numel(maxstatlinovtm))/(numel(maxstatlinovtm)+1))),'.');
%hold all
%plot(sort(maxdynlinovtm),-log(-log((1:numel(maxdynlinovtm))/(numel(maxdynlinovtm)+1))),'.');
%xlabel('Overturning Moment [Nm]');ylabel('CDF');
%title('Positive First Order-Linear Ext Overturning Moment');
%legend('STATIC','DYNAMIC');

maxstatlinovtm2=max(statlinovtm2(IS:end,2,:),[],1);
maxstatlinovtm2=maxstatlinovtm2(:);maxstatlinovtm2=unique(maxstatlinovtm2);
maxdynlinovtm2=max(dynlinovtm2(IS:end,2,:),[],1);
maxdynlinovtm2=maxdynlinovtm2(:);maxdynlinovtm2=unique(maxdynlinovtm2);

maxstatlinconstbs=max(statlinconstbs(IS:end,2,:),[],1);
maxstatlinconstbs=maxstatlinconstbs(:);maxstatlinconstbs=unique(maxstatlinconstbs);
maxdynlinconstbs=max(dynlinconstbs(IS:end,2,:),[],1);
maxdynlinconstbs=maxdynlinconstbs(:);maxdynlinconstbs=unique(maxdynlinconstbs);
%figure
%plot(sort(maxstatlinbs2),-log(-log((1:numel(maxstatlinbs2))/(numel(maxstatlinbs2)+1))),'.');hold all
%plot(sort(maxdynlinbs2),-log(-log((1:numel(maxdynlinbs2))/(numel(maxdynlinbs2)+1))),'.');hold all
%xlabel('Base Shear [N]');ylabel('CDF');title('Positive First Order-Linear Ext(CD2) Base Shear');
%legend('STATIC','DYNAMIC');

maxstatlinconstovtm=max(statlinconstovtm(IS:end,2,:),[],1);
maxstatlinconstovtm=maxstatlinconstovtm(:);maxstatlinconstovtm=unique(maxstatlinconstovtm);
maxdynlinconstovtm=max(dynlinconstovtm(IS:end,2,:),[],1);
maxdynlinconstovtm=maxdynlinconstovtm(:);maxdynlinconstovtm=unique(maxdynlinconstovtm);
%figure
%plot(sort(maxstatlinovtm2),-log(-log((1:numel(maxstatlinovtm2))/(numel(maxstatlinovtm2)+1))),'.');
%hold all
%plot(sort(maxdynlinovtm2),-log(-log((1:numel(maxdynlinovtm2))/(numel(maxdynlinovtm2)+1))),'.');
%xlabel('Overturning Moment [Nm]');ylabel('CDF');
%title('Positive First Order-Linear Ext(CD2) Overturning Moment');
%legend('STATIC','DYNAMIC');

maxstatwheelerbs=max(statwheelerbs(IS:end,2,:),[],1);
maxstatwheelerbs=maxstatwheelerbs(:);maxstatwheelerbs=unique(maxstatwheelerbs);
maxdynwheelerbs=max(dynwheelerbs(IS:end,2,:),[],1);
maxdynwheelerbs=maxdynwheelerbs(:);maxdynwheelerbs=unique(maxdynwheelerbs);
%figure
%plot(sort(maxstatwheelerbs),-log(-log((1:numel(maxstatwheelerbs))/(numel(maxstatwheelerbs)+1))),'.');hold all
%plot(sort(maxdynwheelerbs),-log(-log((1:numel(maxdynwheelerbs))/(numel(maxdynwheelerbs)+1))),'.');hold all
%xlabel('Base Shear [N]');ylabel('CDF');title('Positive First Order-Wheeler Base Shear');
%legend('STATIC','DYNAMIC');

maxstatwheelerovtm=max(statwheelerovtm(IS:end,2,:),[],1);
maxstatwheelerovtm=maxstatwheelerovtm(:);maxstatwheelerovtm=unique(maxstatwheelerovtm);
maxdynwheelerovtm=max(dynwheelerovtm(IS:end,2,:),[],1);
maxdynwheelerovtm=maxdynwheelerovtm(:);maxdynwheelerovtm=unique(maxdynwheelerovtm);
%figure
%plot(sort(maxstatwheelerovtm),-log(-log((1:numel(maxstatwheelerovtm))/(numel(maxstatwheelerovtm)+1))),'.');
%hold all
%plot(sort(maxdynwheelerovtm),-log(-log((1:numel(maxdynwheelerovtm))/(numel(maxdynwheelerovtm)+1))),'.');
%xlabel('Overturning Moment [Nm]');ylabel('CDF');
%title('Positive First Order-Wheeler Overturning Moment');
%legend('STATIC','DYNAMIC');

maxstatsecbs=max(statsecbs(IS:end,2,:),[],1);
maxstatsecbs=maxstatsecbs(:);maxstatsecbs=unique(maxstatsecbs);
maxdynsecbs=max(dynsecbs(IS:end,2,:),[],1);
maxdynsecbs=maxdynsecbs(:);maxdynsecbs=unique(maxdynsecbs);
%figure
%plot(sort(maxstatsecbs),-log(-log((1:numel(maxstatsecbs))/(numel(maxstatsecbs)+1))),'.');hold all
%plot(sort(maxdynsecbs),-log(-log((1:numel(maxdynsecbs))/(numel(maxdynsecbs)+1))),'.');
%xlabel('Base Shear [N]');ylabel('CDF');
%title('Positive Second Order-Linear Ext. Base Shear');
%legend('STATIC','DYNAMIC');

maxstatsecovtm=max(statsecovtm(IS:end,2,:),[],1);
maxstatsecovtm=maxstatsecovtm(:);maxstatsecovtm=unique(maxstatsecovtm);
maxdynsecovtm=max(dynsecovtm(IS:end,2,:),[],1);
maxdynsecovtm=maxdynsecovtm(:);maxdynsecovtm=unique(maxdynsecovtm);
%figure
%plot(sort(maxstatsecovtm),-log(-log((1:numel(maxstatsecovtm))/(numel(maxstatsecovtm)+1))),'.');
%hold all
%plot(sort(maxdynsecovtm),-log(-log((1:numel(maxdynsecovtm))/(numel(maxdynsecovtm)+1))),'.');
%xlabel('Overturning Moment [Nm]');ylabel('CDF');
%title('Positive Second Order-Linear Ext. Overturning Moment');
%legend('STATIC','DYNAMIC');

maxstatsecwheelerbs=max(statsecwheelerbs(IS:end,2,:),[],1);
maxstatsecwheelerbs=maxstatsecwheelerbs(:);maxstatsecwheelerbs=unique(maxstatsecwheelerbs);
maxdynsecwheelerbs=max(dynsecwheelerbs(IS:end,2,:),[],1);
maxdynsecwheelerbs=maxdynsecwheelerbs(:);maxdynsecwheelerbs=unique(maxdynsecwheelerbs);
%figure
%plot(sort(maxstatsecwheelerbs),-log(-log((1:numel(maxstatsecwheelerbs))/(numel(maxstatsecwheelerbs)+1))),'.');
%hold all
%plot(sort(maxdynsecwheelerbs),-log(-log((1:numel(maxdynsecwheelerbs))/(numel(maxdynsecwheelerbs)+1))),'.');
%xlabel('Base Shear [N]');ylabel('CDF');
%%title('Positive Second Order-Wheeler Base Shear');
%%legend('STATIC','DYNAMIC');

maxstatsecwheelerovtm=max(statsecwheelerovtm(IS:end,2,:),[],1);
maxstatsecwheelerovtm=maxstatsecwheelerovtm(:);maxstatsecwheelerovtm=unique(maxstatsecwheelerovtm);
maxdynsecwheelerovtm=max(dynsecwheelerovtm(IS:end,2,:),[],1);
maxdynsecwheelerovtm=maxdynsecwheelerovtm(:);maxdynsecwheelerovtm=unique(maxdynsecwheelerovtm);
%figure
%plot(sort(maxstatsecwheelerovtm),-log(-log((1:numel(maxstatsecwheelerovtm))/(numel(maxstatsecwheelerovtm)+1))),'.');
%hold all
%plot(sort(maxdynsecwheelerovtm),-log(-log((1:numel(maxdynsecwheelerovtm))/(numel(maxdynsecwheelerovtm)+1))),'.');
%xlabel('Overturning Moment [Nm]');ylabel('CDF');
%%title('Positive Second Order-Wheeler Overturning Moment');
%%legend('STATIC','DYNAMIC');

figure
hold all
plot(sort(maxstatlinbs),-log(-log((1:numel(maxstatlinbs))/(numel(maxstatlinbs)+1))),'.');
plot(sort(maxstatlinbs2),-log(-log((1:numel(maxstatlinbs2))/(numel(maxstatlinbs2)+1))),'.');
plot(sort(maxstatlinconstbs),-log(-log((1:numel(maxstatlinconstbs))/(numel(maxstatlinconstbs)+1))),'.');
plot(sort(maxstatwheelerbs),-log(-log((1:numel(maxstatwheelerbs))/(numel(maxstatwheelerbs)+1))),'.');
plot(sort(maxstatsecbs),-log(-log((1:numel(maxstatsecbs))/(numel(maxstatsecbs)+1))),'.');
plot(sort(maxstatsecwheelerbs),-log(-log((1:numel(maxstatsecwheelerbs))/(numel(maxstatsecwheelerbs)+1))),'.');
xlabel('Baseshear [N]');ylabel('CDF');
title('Positive Largest Static Baseshear');
legend('First Order-Linear Ext. Cd1','First Order-Linear Ext. Cd2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
plot(sort(maxdynlinbs),-log(-log((1:numel(maxdynlinbs))/(numel(maxdynlinbs)+1))),'.');
plot(sort(maxdynlinbs2),-log(-log((1:numel(maxdynlinbs2))/(numel(maxdynlinbs2)+1))),'.');
plot(sort(maxdynlinconstbs),-log(-log((1:numel(maxdynlinconstbs))/(numel(maxdynlinconstbs)+1))),'.');
plot(sort(maxdynwheelerbs),-log(-log((1:numel(maxdynwheelerbs))/(numel(maxdynwheelerbs)+1))),'.');
plot(sort(maxdynsecbs),-log(-log((1:numel(maxdynsecbs))/(numel(maxdynsecbs)+1))),'.');
plot(sort(maxdynsecwheelerbs),-log(-log((1:numel(maxdynsecwheelerbs))/(numel(maxdynsecwheelerbs)+1))),'.');
xlabel('Base Shear [N]');ylabel('CDF');
title('Positive Largest Dynamic Baseshear');
legend('First Order-Linear Ext. Cd1','First Order-Linear Ext. Cd2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
plot(sort(maxstatlinovtm),-log(-log((1:numel(maxstatlinovtm))/(numel(maxstatlinovtm)+1))),'.');
plot(sort(maxstatlinovtm2),-log(-log((1:numel(maxstatlinovtm2))/(numel(maxstatlinovtm2)+1))),'.');
plot(sort(maxstatlinconstovtm),-log(-log((1:numel(maxstatlinconstovtm))/(numel(maxstatlinconstovtm)+1))),'.');
plot(sort(maxstatwheelerovtm),-log(-log((1:numel(maxstatwheelerovtm))/(numel(maxstatwheelerovtm)+1))),'.');
plot(sort(maxstatsecovtm),-log(-log((1:numel(maxstatsecovtm))/(numel(maxstatsecovtm)+1))),'.');
plot(sort(maxstatsecwheelerovtm),-log(-log((1:numel(maxstatsecwheelerovtm))/(numel(maxstatsecwheelerovtm)+1))),'.');
xlabel('Overturning Moment [Nm]');ylabel('CDF');
title('Positive Largest Static Overturning Moment');
legend('First Order-Linear Ext. Cd1','First Order-Linear Ext. Cd2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
plot(sort(maxdynlinovtm),-log(-log((1:numel(maxdynlinovtm))/(numel(maxdynlinovtm)+1))),'.');
plot(sort(maxdynlinovtm2),-log(-log((1:numel(maxdynlinovtm2))/(numel(maxdynlinovtm2)+1))),'.');
plot(sort(maxdynlinconstovtm),-log(-log((1:numel(maxdynlinconstovtm))/(numel(maxdynlinconstovtm)+1))),'.');
plot(sort(maxdynwheelerovtm),-log(-log((1:numel(maxdynwheelerovtm))/(numel(maxdynwheelerovtm)+1))),'.');
plot(sort(maxdynsecovtm),-log(-log((1:numel(maxdynsecovtm))/(numel(maxdynsecovtm)+1))),'.');
plot(sort(maxdynsecwheelerovtm),-log(-log((1:numel(maxdynsecwheelerovtm))/(numel(maxdynsecwheelerovtm)+1))),'.');
xlabel('Overturning Moment [Nm]');ylabel('CDF');
title('Positive Largest Dynamic Overturning Moment');
legend('First Order-Linear Ext. Cd1','First Order-Linear Ext. Cd2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

%--------------------------------------------------------------------------
%MIN
%--------------------------------------------------------------------------
minstatlinbs=min(statlinbs(IS:end,2,:),[],1);
minstatlinbs=abs(minstatlinbs(:));minstatlinbs=unique(minstatlinbs);
minstatlinbs(randperm(numel(minstatlinbs)))=minstatlinbs;
mindynlinbs=min(dynlinbs(IS:end,2,:),[],1);
mindynlinbs=abs(mindynlinbs(:));mindynlinbs=unique(mindynlinbs);
mindynlinbs(randperm(numel(mindynlinbs)))=mindynlinbs;
figure
plot(sort(minstatlinbs),-log(-log((1:numel(minstatlinbs))/(numel(minstatlinbs)+1))),'.');hold all
plot(sort(mindynlinbs),-log(-log((1:numel(mindynlinbs))/(numel(mindynlinbs)+1))),'.');hold all
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF))');
title('Negative First Order-Linear Ext. Baseshear');
legend('STATIC','DYNAMIC');

minstatlinbs2=min(statlinbs2(IS:end,2,:),[],1);
minstatlinbs2=abs(minstatlinbs2(:));minstatlinbs2=unique(minstatlinbs2);
minstatlinbs2(randperm(numel(minstatlinbs2)))=minstatlinbs2;
mindynlinbs2=min(dynlinbs2(IS:end,2,:),[],1);
mindynlinbs2=abs(mindynlinbs2(:));mindynlinbs2=unique(mindynlinbs2);
mindynlinbs2(randperm(numel(mindynlinbs2)))=mindynlinbs2;

minstatlinovtm=min(statlinovtm(IS:end,2,:),[],1);
minstatlinovtm=abs(minstatlinovtm(:));minstatlinovtm=unique(minstatlinovtm);
minstatlinovtm(randperm(numel(minstatlinovtm)))=minstatlinovtm;
mindynlinovtm=min(dynlinovtm(IS:end,2,:),[],1);
mindynlinovtm=abs(mindynlinovtm(:));mindynlinovtm=unique(mindynlinovtm);
mindynlinovtm(randperm(numel(mindynlinovtm)))=mindynlinovtm;
%figure
%plot(sort(minstatlinovtm),-log(-log((1:numel(minstatlinovtm))/(numel(minstatlinovtm)+1))),'.');
%hold all
%plot(sort(mindynlinovtm),-log(-log((1:numel(mindynlinovtm))/(numel(mindynlinovtm)+1))),'.');
%xlabel('Overturning Moment [Nm]');ylabel('CDF');
%title('Negative First Order-Linear Ext. Overturning Moment');
%legend('STATIC','DYNAMIC');

minstatlinovtm2=min(statlinovtm2(IS:end,2,:),[],1);
minstatlinovtm2=abs(minstatlinovtm2(:));minstatlinovtm2=unique(minstatlinovtm2);
minstatlinovtm2(randperm(numel(minstatlinovtm2)))=minstatlinovtm2;
mindynlinovtm2=min(dynlinovtm2(IS:end,2,:),[],1);
mindynlinovtm2=abs(mindynlinovtm2(:));mindynlinovtm2=unique(mindynlinovtm2);
mindynlinovtm2(randperm(numel(mindynlinovtm2)))=mindynlinovtm2;

minstatlinconstbs=min(statlinconstbs(IS:end,2,:),[],1);
minstatlinconstbs=abs(minstatlinconstbs(:));minstatlinconstbs=unique(minstatlinconstbs);
minstatlinconstbs(randperm(numel(minstatlinconstbs)))=minstatlinconstbs;
mindynlinconstbs=min(dynlinconstbs(IS:end,2,:),[],1);
mindynlinconstbs=abs(mindynlinconstbs(:));mindynlinconstbs=unique(mindynlinconstbs);
mindynlinconstbs(randperm(numel(mindynlinconstbs)))=mindynlinconstbs;
%figure
%plot(sort(minstatlinbs2),-log(-log((1:numel(minstatlinbs2))/(numel(minstatlinbs2)+1))),'.');hold all
%plot(sort(mindynlinbs2),-log(-log((1:numel(mindynlinbs2))/(numel(mindynlinbs2)+1))),'.');hold all
%xlabel('Baseshear [N]');ylabel('CDF');
%title('Negative First Order-Linear Ext. Baseshear (Cd2)');
%legend('STATIC','DYNAMIC');

minstatlinconstovtm=min(statlinconstovtm(IS:end,2,:),[],1);
minstatlinconstovtm=abs(minstatlinconstovtm(:));minstatlinconstovtm=unique(minstatlinconstovtm);
minstatlinconstovtm(randperm(numel(minstatlinconstovtm)))=minstatlinconstovtm;
mindynlinconstovtm=min(dynlinconstovtm(IS:end,2,:),[],1);
mindynlinconstovtm=abs(mindynlinconstovtm(:));mindynlinconstovtm=unique(mindynlinconstovtm);
mindynlinconstovtm(randperm(numel(mindynlinconstovtm)))=mindynlinconstovtm;
%figure
%plot(sort(minstatlinovtm2),-log(-log((1:numel(minstatlinovtm2))/(numel(minstatlinovtm2)+1))),'.');
%hold all
%plot(sort(mindynlinovtm2),-log(-log((1:numel(mindynlinovtm2))/(numel(mindynlinovtm2)+1))),'.');
%xlabel('Overturning Moment [Nm]');ylabel('CDF');
%title('Negative First Order-Linear Ext. Overturning Moment');
%legend('STATIC','DYNAMIC');

minstatwheelerbs=min(statwheelerbs(IS:end,2,:),[],1);
minstatwheelerbs=abs(minstatwheelerbs(:));minstatwheelerbs=unique(minstatwheelerbs);
minstatwheelerbs(randperm(numel(minstatwheelerbs)))=minstatwheelerbs;
mindynwheelerbs=min(dynwheelerbs(IS:end,2,:),[],1);
mindynwheelerbs=abs(mindynwheelerbs(:));mindynwheelerbs=unique(mindynwheelerbs);
mindynwheelerbs(randperm(numel(mindynwheelerbs)))=mindynwheelerbs;
%figure
%plot(sort(minstatwheelerbs),-log(-log((1:numel(minstatwheelerbs))/(numel(minstatwheelerbs)+1))),'.');hold all
%plot(sort(mindynwheelerbs),-log(-log((1:numel(mindynwheelerbs))/(numel(mindynwheelerbs)+1))),'.');hold all
%xlabel('Baseshear [N]');ylabel('CDF');
%title('Negative First Order-Wheeler Baseshear');
%legend('STATIC','DYNAMIC');

minstatwheelerovtm=min(statwheelerovtm(IS:end,2,:),[],1);
minstatwheelerovtm=abs(minstatwheelerovtm(:));minstatwheelerovtm=unique(minstatwheelerovtm);
minstatwheelerovtm(randperm(numel(minstatwheelerovtm)))=minstatwheelerovtm;
mindynwheelerovtm=min(dynwheelerovtm(IS:end,2,:),[],1);
mindynwheelerovtm=abs(mindynwheelerovtm(:));mindynwheelerovtm=unique(mindynwheelerovtm);
mindynwheelerovtm(randperm(numel(mindynwheelerovtm)))=mindynwheelerovtm;
%figure
%plot(sort(minstatwheelerovtm),-log(-log((1:numel(minstatwheelerovtm))/(numel(minstatwheelerovtm)+1))),'.');
%hold all
%plot(sort(mindynwheelerovtm),-log(-log((1:numel(mindynwheelerovtm))/(numel(mindynwheelerovtm)+1))),'.');
%xlabel('Overturning Moment [Nm]');ylabel('CDF');
%title('Negative First Order-Wheeler Overturning Moment');
%legend('STATIC','DYNAMIC');

minstatsecbs=min(statsecbs(IS:end,2,:),[],1);
minstatsecbs=abs(minstatsecbs(:));minstatsecbs=unique(minstatsecbs);
minstatsecbs(randperm(numel(minstatsecbs)))=minstatsecbs;
mindynsecbs=min(dynsecbs(IS:end,2,:),[],1);
mindynsecbs=abs(mindynsecbs(:));mindynsecbs=unique(mindynsecbs);
mindynsecbs(randperm(numel(mindynsecbs)))=mindynsecbs;
figure
plot(sort(minstatsecbs),-log(-log((1:numel(minstatsecbs))/(numel(minstatsecbs)+1))),'.');hold all
plot(sort(mindynsecbs),-log(-log((1:numel(mindynsecbs))/(numel(mindynsecbs)+1))),'.');
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF)');
title('Negative Second Order-Linear Ext. Base Shear');
legend('STATIC','DYNAMIC');

minstatsecovtm=min(statsecovtm(IS:end,2,:),[],1);
minstatsecovtm=abs(minstatsecovtm(:));minstatsecovtm=unique(minstatsecovtm);
minstatsecovtm(randperm(numel(minstatsecovtm)))=minstatsecovtm;
mindynsecovtm=min(dynsecovtm(IS:end,2,:),[],1);
mindynsecovtm=abs(mindynsecovtm(:));mindynsecovtm=unique(mindynsecovtm);
mindynsecovtm(randperm(numel(mindynsecovtm)))=mindynsecovtm;
figure
plot(sort(minstatsecovtm),-log(-log((1:numel(minstatsecovtm))/(numel(minstatsecovtm)+1))),'.');
hold all
plot(sort(mindynsecovtm),-log(-log((1:numel(mindynsecovtm))/(numel(mindynsecovtm)+1))),'.');
xlabel('Overturning Moment [Nm]');ylabel('-ln(-ln(CDF))');
title('Negative Second Order-Linear Ext. Overturning Moment');
legend('STATIC','DYNAMIC');

minstatsecwheelerbs=min(statsecwheelerbs(IS:end,2,:),[],1);
minstatsecwheelerbs=abs(minstatsecwheelerbs(:));minstatsecwheelerbs=unique(minstatsecwheelerbs);
minstatsecwheelerbs(randperm(numel(minstatsecwheelerbs)))=minstatsecwheelerbs;
mindynsecwheelerbs=min(dynsecwheelerbs(IS:end,2,:),[],1);
mindynsecwheelerbs=abs(mindynsecwheelerbs(:));mindynsecwheelerbs=unique(mindynsecwheelerbs);
mindynsecwheelerbs(randperm(numel(mindynsecwheelerbs)))=mindynsecwheelerbs;
%figure
%plot(sort(minstatsecwheelerbs),-log(-log((1:numel(minstatsecwheelerbs))/(numel(minstatsecwheelerbs)+1))),'.');
%hold all
%plot(sort(mindynsecwheelerbs),-log(-log((1:numel(mindynsecwheelerbs))/(numel(mindynsecwheelerbs)+1))),'.');
%xlabel('Baseshear [N]');ylabel('CDF');
%%title('Negative Second Order-Wheeler Base Shear');
%%legend('STATIC','DYNAMIC');

minstatsecwheelerovtm=min(statsecwheelerovtm(IS:end,2,:),[],1);
minstatsecwheelerovtm=abs(minstatsecwheelerovtm(:));minstatsecwheelerovtm=unique(minstatsecwheelerovtm);
minstatsecwheelerovtm(randperm(numel(minstatsecwheelerovtm)))=minstatsecwheelerovtm;
mindynsecwheelerovtm=min(dynsecwheelerovtm(IS:end,2,:),[],1);
mindynsecwheelerovtm=abs(mindynsecwheelerovtm(:));mindynsecwheelerovtm=unique(mindynsecwheelerovtm);
mindynsecwheelerovtm(randperm(numel(mindynsecwheelerovtm)))=mindynsecwheelerovtm;
%figure
%plot(sort(minstatsecwheelerovtm),-log(-log((1:numel(minstatsecwheelerovtm))/(numel(minstatsecwheelerovtm)+1))),'.');
%hold all
%plot(sort(mindynsecwheelerovtm),-log(-log((1:numel(mindynsecwheelerovtm))/(numel(mindynsecwheelerovtm)+1))),'.');
%xlabel('Overturning Moment [Nm]');ylabel('CDF');
%%title('Negative Second Order-Wheeler Overturning Moment');
%%legend('STATIC','DYNAMIC');

figure
hold all
plot(sort(minstatlinbs),-log(-log((1:numel(minstatlinbs))/(numel(minstatlinbs)+1))),'.');
plot(sort(minstatlinbs2),-log(-log((1:numel(minstatlinbs2))/(numel(minstatlinbs2)+1))),'.');
plot(sort(minstatlinconstbs),-log(-log((1:numel(minstatlinconstbs))/(numel(minstatlinconstbs)+1))),'.');
plot(sort(minstatwheelerbs),-log(-log((1:numel(minstatwheelerbs))/(numel(minstatwheelerbs)+1))),'.');
plot(sort(minstatsecbs),-log(-log((1:numel(minstatsecbs))/(numel(minstatsecbs)+1))),'.');
plot(sort(minstatsecwheelerbs),-log(-log((1:numel(minstatsecwheelerbs))/(numel(minstatsecwheelerbs)+1))),'.');
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Static Baseshear');
legend('First Order-Linear Ext. Coef 1','First Order-Linear Ext. Coef 2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
plot(sort(mindynlinbs),-log(-log((1:numel(mindynlinbs))/(numel(mindynlinbs)+1))),'.');
plot(sort(mindynlinbs2),-log(-log((1:numel(mindynlinbs2))/(numel(mindynlinbs2)+1))),'.');
plot(sort(mindynlinconstbs),-log(-log((1:numel(mindynlinconstbs))/(numel(mindynlinconstbs)+1))),'.');
plot(sort(mindynwheelerbs),-log(-log((1:numel(mindynwheelerbs))/(numel(mindynwheelerbs)+1))),'.');
plot(sort(mindynsecbs),-log(-log((1:numel(mindynsecbs))/(numel(mindynsecbs)+1))),'.');
plot(sort(mindynsecwheelerbs),-log(-log((1:numel(mindynsecwheelerbs))/(numel(mindynsecwheelerbs)+1))),'.');
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Dynamic Baseshear');
legend('First Order-Linear Ext. Coef 1','First Order-Linear Ext. Coef 2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
plot(sort(minstatlinovtm),-log(-log((1:numel(minstatlinovtm))/(numel(minstatlinovtm)+1))),'.');
plot(sort(minstatlinovtm2),-log(-log((1:numel(minstatlinovtm2))/(numel(minstatlinovtm2)+1))),'.');
plot(sort(minstatlinconstovtm),-log(-log((1:numel(minstatlinconstovtm))/(numel(minstatlinconstovtm)+1))),'.');
plot(sort(minstatwheelerovtm),-log(-log((1:numel(minstatwheelerovtm))/(numel(minstatwheelerovtm)+1))),'.');
plot(sort(minstatsecovtm),-log(-log((1:numel(minstatsecovtm))/(numel(minstatsecovtm)+1))),'.');
plot(sort(minstatsecwheelerovtm),-log(-log((1:numel(minstatsecwheelerovtm))/(numel(minstatsecwheelerovtm)+1))),'.');
xlabel('Overturning Moment [Nm]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Static Overturning Moment');
legend('First Order-Linear Ext. Coef 1','First Order-Linear Ext. Coef 2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
plot(sort(mindynlinovtm),-log(-log((1:numel(mindynlinovtm))/(numel(mindynlinovtm)+1))),'.');
plot(sort(mindynlinovtm2),-log(-log((1:numel(mindynlinovtm2))/(numel(mindynlinovtm2)+1))),'.');
plot(sort(mindynlinconstovtm),-log(-log((1:numel(mindynlinconstovtm))/(numel(mindynlinconstovtm)+1))),'.');
plot(sort(mindynwheelerovtm),-log(-log((1:numel(mindynwheelerovtm))/(numel(mindynwheelerovtm)+1))),'.');
plot(sort(mindynsecovtm),-log(-log((1:numel(mindynsecovtm))/(numel(mindynsecovtm)+1))),'.');
plot(sort(mindynsecwheelerovtm),-log(-log((1:numel(mindynsecwheelerovtm))/(numel(mindynsecwheelerovtm)+1))),'.');
xlabel('Overturning Moment [Nm]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Dynamic Overturning Moment');
legend('First Order-Linear Ext. Coef 1','First Order-Linear Ext. Coef 2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');


%% SURFACE
maxlinsurf=max(linearsurf(IS:end,2,:),[],1);unique(maxlinsurf);
maxlinsurf(randperm(numel(maxlinsurf)))=maxlinsurf;
maxsecsurf=max(secondsurf(IS:end,2,:),[],1);unique(secondsurf);
secondsurf(randperm(numel(secondsurf)))=secondsurf;
%% 3-HOUR

for TA=1:floor(numel(maxstatsecbs)/9)
    %%
    MAXSTATLINBS(TA)=max(maxstatlinbs((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSTATLINBS2(TA)=max(maxstatlinbs2((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSTATLINCONSTBS(TA)=max(maxstatlinconstbs((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSTATWHEELERBS(TA)=max(maxstatwheelerbs((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSTATSECBS(TA)=max(maxstatsecbs((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSTATSECWHEELERBS(TA)=max(maxstatsecwheelerbs((9*(TA-1))+1:(9*(TA-1))+8));
    
    MAXDYNLINBS(TA)=max(maxdynlinbs((9*(TA-1))+1:(9*(TA-1))+8));
    MAXDYNLINBS2(TA)=max(maxdynlinbs2((9*(TA-1))+1:(9*(TA-1))+8));
    MAXDYNLINCONSTBS(TA)=max(maxdynlinconstbs((9*(TA-1))+1:(9*(TA-1))+8));
    MAXDYNWHEELERBS(TA)=max(maxdynwheelerbs((9*(TA-1))+1:(9*(TA-1))+8));
    MAXDYNSECBS(TA)=max(maxdynsecbs((9*(TA-1))+1:(9*(TA-1))+8));
    MAXDYNSECWHEELERBS(TA)=max(maxdynsecwheelerbs((9*(TA-1))+1:(9*(TA-1))+8));
    
    MAXSTATLINOVTM(TA)=max(maxstatlinovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSTATLINOVTM2(TA)=max(maxstatlinovtm2((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSTATLINCONSTOVTM(TA)=max(maxstatlinconstovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSTATWHEELEROVTM(TA)=max(maxstatwheelerovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSTATSECOVTM(TA)=max(maxstatsecovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSTATSECWHEELEROVTM(TA)=max(maxstatsecwheelerovtm((9*(TA-1))+1:(9*(TA-1))+8));
    
    MAXDYNLINOVTM(TA)=max(maxdynlinovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MAXDYNLINOVTM2(TA)=max(maxdynlinovtm2((9*(TA-1))+1:(9*(TA-1))+8));
    MAXDYNLINCONSTOVTM(TA)=max(maxdynlinconstovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MAXDYNWHEELEROVTM(TA)=max(maxdynwheelerovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MAXDYNSECOVTM(TA)=max(maxdynsecovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MAXDYNSECWHEELEROVTM(TA)=max(maxdynsecwheelerovtm((9*(TA-1))+1:(9*(TA-1))+8));
    
    %%
    MINSTATLINBS(TA)=max(minstatlinbs((9*(TA-1))+1:(9*(TA-1))+8));
    MINSTATLINBS2(TA)=max(minstatlinbs2((9*(TA-1))+1:(9*(TA-1))+8));
    MINSTATLINCONSTBS(TA)=max(minstatlinconstbs((9*(TA-1))+1:(9*(TA-1))+8));
    MINSTATWHEELERBS(TA)=max(minstatwheelerbs((9*(TA-1))+1:(9*(TA-1))+8));
    MINSTATSECBS(TA)=max(minstatsecbs((9*(TA-1))+1:(9*(TA-1))+8));
    MINSTATSECWHEELERBS(TA)=max(minstatsecwheelerbs((9*(TA-1))+1:(9*(TA-1))+8));
    
    MINDYNLINBS(TA)=max(mindynlinbs((9*(TA-1))+1:(9*(TA-1))+8));
    MINDYNLINBS2(TA)=max(mindynlinbs2((9*(TA-1))+1:(9*(TA-1))+8));
    MINDYNLINCONSTBS(TA)=max(mindynlinconstbs((9*(TA-1))+1:(9*(TA-1))+8));
    MINDYNWHEELERBS(TA)=max(mindynwheelerbs((9*(TA-1))+1:(9*(TA-1))+8));
    MINDYNSECBS(TA)=max(mindynsecbs((9*(TA-1))+1:(9*(TA-1))+8));
    MINDYNSECWHEELERBS(TA)=max(mindynsecwheelerbs((9*(TA-1))+1:(9*(TA-1))+8));
    
    MINSTATLINOVTM(TA)=max(minstatlinovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MINSTATLINOVTM2(TA)=max(minstatlinovtm2((9*(TA-1))+1:(9*(TA-1))+8));
    MINSTATLINCONSTOVTM(TA)=max(minstatlinconstovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MINSTATWHEELEROVTM(TA)=max(minstatwheelerovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MINSTATSECOVTM(TA)=max(minstatsecovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MINSTATSECWHEELEROVTM(TA)=max(minstatsecwheelerovtm((9*(TA-1))+1:(9*(TA-1))+8));
    
    MINDYNLINOVTM(TA)=max(mindynlinovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MINDYNLINOVTM2(TA)=max(mindynlinovtm2((9*(TA-1))+1:(9*(TA-1))+8));
    MINDYNLINCONSTOVTM(TA)=max(mindynlinconstovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MINDYNWHEELEROVTM(TA)=max(mindynwheelerovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MINDYNSECOVTM(TA)=max(mindynsecovtm((9*(TA-1))+1:(9*(TA-1))+8));
    MINDYNSECWHEELEROVTM(TA)=max(mindynsecwheelerovtm((9*(TA-1))+1:(9*(TA-1))+8));
    
    %% SURFACE
    MAXLINSURF(TA)=max(maxlinsurf((9*(TA-1))+1:(9*(TA-1))+8));
    MAXSECSURF(TA)=max(maxsecsurf((9*(TA-1))+1:(9*(TA-1))+8));
end
y=-log(-log((1:numel(MINSTATSECBS))/(numel(MINSTATSECBS)+1)));

%%
figure
hold all
plot(sort(MAXSTATLINBS),y,'.');GUMBELF(MAXSTATLINBS);
plot(sort(MAXSTATLINBS2),y,'.');GUMBELF(MAXSTATLINBS2)
plot(sort(MAXSTATLINCONSTBS),y,'.');GUMBELF(MAXSTATLINCONSTBS)
plot(sort(MAXSTATWHEELERBS),y,'.');GUMBELF(MAXSTATWHEELERBS)
plot(sort(MAXSTATSECBS),y,'.');GUMBELF(MAXSTATSECBS)
plot(sort(MAXSTATSECWHEELERBS),y,'.');GUMBELF(MAXSTATSECWHEELERBS)
xlabel('Baseshear [N]');ylabel('CDF');
title('Positive Largest Static Baseshear');
legend('First Order-Linear Ext. Cd1','First Order-Linear Ext. Cd2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
plot(sort(MAXDYNLINBS),y,'.');GUMBELF(MAXDYNLINBS)
plot(sort(MAXDYNLINBS2),y,'.');GUMBELF(MAXDYNLINBS2)
plot(sort(MAXDYNLINCONSTBS),y,'.');GUMBELF(MAXDYNLINCONSTBS)
plot(sort(MAXDYNWHEELERBS),y,'.');GUMBELF(MAXDYNWHEELERBS)
plot(sort(MAXDYNSECBS),y,'.');GUMBELF(MAXDYNSECBS)
plot(sort(MAXDYNSECWHEELERBS),y,'.');GUMBELF(MAXDYNSECWHEELERBS)
xlabel('Baseshear [N]');ylabel('CDF');
title('Positive Largest Dynamic Baseshear');
legend('First Order-Linear Ext. Cd1','First Order-Linear Ext. Cd2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
plot(sort(MAXSTATLINOVTM),y,'.');
plot(sort(MAXSTATLINOVTM2),y,'.');
plot(sort(MAXSTATLINCONSTOVTM),y,'.');
plot(sort(MAXSTATWHEELEROVTM),y,'.');
plot(sort(MAXSTATSECOVTM),y,'.');
plot(sort(MAXSTATSECWHEELEROVTM),y,'.');
xlabel('Overturning Moment [Nm]');ylabel('CDF');
title('Positive Largest Static Overturning Moment');
legend('First Order-Linear Ext. Cd1','First Order-Linear Ext. Cd2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
plot(sort(MAXDYNLINOVTM),y,'.');
plot(sort(MAXDYNLINOVTM2),y,'.');
plot(sort(MAXDYNLINCONSTOVTM),y,'.');
plot(sort(MAXDYNWHEELEROVTM),y,'.');
plot(sort(MAXDYNSECOVTM),y,'.');
plot(sort(MAXDYNSECWHEELEROVTM),y,'.');
xlabel('Overturning Moment [Nm]');ylabel('CDF');
title('Positive Largest Dynamic Overturning Moment');
legend('First Order-Linear Ext. Cd1','First Order-Linear Ext. Cd2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

%%
R=zeros(6,4);

figure
hold all
R(1,1)=GUMBELF(MINSTATLINBS);%plot(sort(MINSTATLINBS),y,'.');
R(2,1)=GUMBELF(MINSTATLINBS2);%plot(sort(MINSTATLINBS2),y,'.');
R(3,1)=GUMBELF(MINSTATLINCONSTBS);%plot(sort(MINSTATLINCONSTBS),y,'.');
R(4,1)=GUMBELF(MINSTATWHEELERBS);%plot(sort(MINSTATWHEELERBS),y,'.');
R(5,1)=GUMBELF(MINSTATSECBS);%plot(sort(MINSTATSECBS),y,'.');
R(6,1)=GUMBELF(MINSTATSECWHEELERBS);%plot(sort(MINSTATSECWHEELERBS),y,'.');
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Static Baseshear');
legend('First Order-Linear Ext. Coef.1','First Order-Linear Ext. Coef.2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
R(1,2)=GUMBELF(MINDYNLINBS);%plot(sort(MINDYNLINBS),y,'.');
R(2,2)=GUMBELF(MINDYNLINBS2);%plot(sort(MINDYNLINBS2),y,'.');
R(3,2)=GUMBELF(MINDYNLINCONSTBS);%plot(sort(MINDYNLINCONSTBS),y,'.');
R(4,2)=GUMBELF(MINDYNWHEELERBS);%plot(sort(MINDYNWHEELERBS),y,'.');
R(5,2)=GUMBELF(MINDYNSECBS);%plot(sort(MINDYNSECBS),y,'.');
R(6,2)=GUMBELF(MINDYNSECWHEELERBS);%plot(sort(MINDYNSECWHEELERBS),y,'.');
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Dynamic Baseshear');
legend('First Order-Linear Ext. Coef.1','First Order-Linear Ext. Coef.2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
R(1,3)=GUMBELF(MINSTATLINOVTM);%plot(sort(MINSTATLINOVTM),y,'.');
R(2,3)=GUMBELF(MINSTATLINOVTM2);%plot(sort(MINSTATLINOVTM2),y,'.');
R(3,3)=GUMBELF(MINSTATLINCONSTOVTM);%plot(sort(MINSTATLINCONSTOVTM),y,'.');
R(4,3)=GUMBELF(MINSTATWHEELEROVTM);%plot(sort(MINSTATWHEELEROVTM),y,'.');
R(5,3)=GUMBELF(MINSTATSECOVTM);%plot(sort(MINSTATSECOVTM),y,'.');
R(6,3)=GUMBELF(MINSTATSECWHEELEROVTM);%plot(sort(MINSTATSECWHEELEROVTM),y,'.');
xlabel('Overturning Moment [Nm]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Static Overturning Moment');
legend('First Order-Linear Ext. Coef.1','First Order-Linear Ext. Coef.2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
R(1,4)=GUMBELF(MINDYNLINOVTM);%plot(sort(MINDYNLINOVTM),y,'.');
R(2,4)=GUMBELF(MINDYNLINOVTM2);%plot(sort(MINDYNLINOVTM2),y,'.');
R(3,4)=GUMBELF(MINDYNLINCONSTOVTM);%plot(sort(MINDYNLINCONSTOVTM),y,'.');
R(4,4)=GUMBELF(MINDYNWHEELEROVTM);%plot(sort(MINDYNWHEELEROVTM),y,'.');
R(5,4)=GUMBELF(MINDYNSECOVTM);%plot(sort(MINDYNSECOVTM),y,'.');
R(6,4)=GUMBELF(MINDYNSECWHEELEROVTM);%plot(sort(MINDYNSECWHEELEROVTM),y,'.');
xlabel('Overturning Moment [Nm]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Dynamic Overturning Moment');
legend('First Order-Linear Ext. Coef.1','First Order-Linear Ext. Coef.2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

R=R*1E-6;

%%
R9=zeros(6,4);

figure
hold all
R9(1,1)=GUMBELF9(minstatlinbs);%plot(sort(MINSTATLINBS),y,'.');
R9(2,1)=GUMBELF9(minstatlinbs2);%plot(sort(MINSTATLINBS2),y,'.');
R9(3,1)=GUMBELF9(minstatlinconstbs);%plot(sort(MINSTATLINCONSTBS),y,'.');
R9(4,1)=GUMBELF9(minstatwheelerbs);%plot(sort(MINSTATWHEELERBS),y,'.');
R9(5,1)=GUMBELF9(minstatsecbs);%plot(sort(MINSTATSECBS),y,'.');
R9(6,1)=GUMBELF9(minstatsecwheelerbs);%plot(sort(MINSTATSECWHEELERBS),y,'.');
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Static Baseshear');
legend('First Order-Linear Ext. Coef.1','First Order-Linear Ext. Coef.2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
R9(1,2)=GUMBELF9(mindynlinbs);%plot(sort(MINDYNLINBS),y,'.');
R9(2,2)=GUMBELF9(mindynlinbs2);%plot(sort(MINDYNLINBS2),y,'.');
R9(3,2)=GUMBELF9(mindynlinconstbs);%plot(sort(MINDYNLINCONSTBS),y,'.');
R9(4,2)=GUMBELF9(mindynwheelerbs);%plot(sort(MINDYNWHEELERBS),y,'.');
R9(5,2)=GUMBELF9(mindynsecbs);%plot(sort(MINDYNSECBS),y,'.');
R9(6,2)=GUMBELF9(mindynsecwheelerbs);%plot(sort(MINDYNSECWHEELERBS),y,'.');
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Dynamic Baseshear');
legend('First Order-Linear Ext. Coef.1','First Order-Linear Ext. Coef.2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
R9(1,3)=GUMBELF9(minstatlinovtm);%plot(sort(MINSTATLINOVTM),y,'.');
R9(2,3)=GUMBELF9(minstatlinovtm2);%plot(sort(MINSTATLINOVTM2),y,'.');
R9(3,3)=GUMBELF9(minstatlinconstovtm);%plot(sort(MINSTATLINCONSTOVTM),y,'.');
R9(4,3)=GUMBELF9(minstatwheelerovtm);%plot(sort(MINSTATWHEELEROVTM),y,'.');
R9(5,3)=GUMBELF9(minstatsecovtm);%plot(sort(MINSTATSECOVTM),y,'.');
R9(6,3)=GUMBELF9(minstatsecwheelerovtm);%plot(sort(MINSTATSECWHEELEROVTM),y,'.');
xlabel('Overturning Moment [Nm]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Static Overturning Moment');
legend('First Order-Linear Ext. Coef.1','First Order-Linear Ext. Coef.2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

figure
hold all
R9(1,4)=GUMBELF9(mindynlinovtm);%plot(sort(MINDYNLINOVTM),y,'.');
R9(2,4)=GUMBELF9(mindynlinovtm2);%plot(sort(MINDYNLINOVTM2),y,'.');
R9(3,4)=GUMBELF9(mindynlinconstovtm);%plot(sort(MINDYNLINCONSTOVTM),y,'.');
R9(4,4)=GUMBELF9(mindynwheelerovtm);%plot(sort(MINDYNWHEELEROVTM),y,'.');
R9(5,4)=GUMBELF9(mindynsecovtm);%plot(sort(MINDYNSECOVTM),y,'.');
R9(6,4)=GUMBELF9(mindynsecwheelerovtm);%plot(sort(MINDYNSECWHEELEROVTM),y,'.');
xlabel('Overturning Moment [Nm]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Dynamic Overturning Moment');
legend('First Order-Linear Ext. Coef.1','First Order-Linear Ext. Coef.2',...
    'First Order-Constant',...
    'First Order-Wheeler','Second Order-Linear Ext','Second Order-Wheeler');

R9=R9*1E-6;

%%
MAXSTATLINBS=sort(MAXSTATLINBS);
MAXSTATLINBS2=sort(MAXSTATLINBS2);
MAXSTATLINCONSTBS=sort(MAXSTATLINCONSTBS);
MAXSTATWHEELERBS=sort(MAXSTATWHEELERBS);
MAXSTATSECBS=sort(MAXSTATSECBS);
MAXSTATSECWHEELERBS=sort(MAXSTATSECWHEELERBS);

MAXDYNLINBS=sort(MAXDYNLINBS);
MAXDYNLINBS2=sort(MAXDYNLINBS2);
MAXDYNLINCONSTBS=sort(MAXDYNLINCONSTBS);
MAXDYNWHEELERBS=sort(MAXDYNWHEELERBS);
MAXDYNSECBS=sort(MAXDYNSECBS);
MAXDYNSECWHEELERBS=sort(MAXDYNSECWHEELERBS);

MAXSTATLINOVTM=sort(MAXSTATLINOVTM);
MAXSTATLINOVTM2=sort(MAXSTATLINOVTM2);
MAXSTATLINCONSTOVTM=sort(MAXSTATLINCONSTOVTM);
MAXSTATWHEELEROVTM=sort(MAXSTATWHEELEROVTM);
MAXSTATSECOVTM=sort(MAXSTATSECOVTM);
MAXSTATSECWHEELEROVTM=sort(MAXSTATSECWHEELEROVTM);

MAXDYNLINOVTM=sort(MAXDYNLINOVTM);
MAXDYNLINOVTM2=sort(MAXDYNLINOVTM2);
MAXDYNLINCONSTOVTM=sort(MAXDYNLINCONSTOVTM);
MAXDYNWHEELEROVTM=sort(MAXDYNWHEELEROVTM);
MAXDYNSECOVTM=sort(MAXDYNSECOVTM);
MAXDYNSECWHEELEROVTM=sort(MAXDYNSECWHEELEROVTM);

%%
MINSTATLINBS=sort(MINSTATLINBS);
MINSTATLINBS2=sort(MINSTATLINBS2);
MINSTATLINCONSTBS=sort(MINSTATLINCONSTBS);
MINSTATWHEELERBS=sort(MINSTATWHEELERBS);
MINSTATSECBS=sort(MINSTATSECBS);
MINSTATSECWHEELERBS=sort(MINSTATSECWHEELERBS);

MINDYNLINBS=sort(MINDYNLINBS);
MINDYNLINBS2=sort(MINDYNLINBS2);
MINDYNLINCONSTBS=sort(MINDYNLINCONSTBS);
MINDYNWHEELERBS=sort(MINDYNWHEELERBS);
MINDYNSECBS=sort(MINDYNSECBS);
MINDYNSECWHEELERBS=sort(MINDYNSECWHEELERBS);

MINSTATLINOVTM=sort(MINSTATLINOVTM);
MINSTATLINOVTM2=sort(MINSTATLINOVTM2);
MINSTATLINCONSTOVTM=sort(MINSTATLINCONSTOVTM);
MINSTATWHEELEROVTM=sort(MINSTATWHEELEROVTM);
MINSTATSECOVTM=sort(MINSTATSECOVTM);
MINSTATSECWHEELEROVTM=sort(MINSTATSECWHEELEROVTM);

MINDYNLINOVTM=sort(MINDYNLINOVTM);
MINDYNLINOVTM2=sort(MINDYNLINOVTM2);
MINDYNLINCONSTOVTM=sort(MINDYNLINCONSTOVTM);
MINDYNWHEELEROVTM=sort(MINDYNWHEELEROVTM);
MINDYNSECOVTM=sort(MINDYNSECOVTM);
MINDYNSECWHEELEROVTM=sort(MINDYNSECWHEELEROVTM);

%%
NM=numel(MAXSTATLINBS);
MAXSTATBS=[MAXSTATLINBS(round(0.9*NM));MAXSTATLINBS2(round(0.9*NM));MAXSTATLINCONSTBS(round(0.9*NM));...
    MAXSTATWHEELERBS(round(0.9*NM));...
    MAXSTATSECBS(round(0.9*NM));MAXSTATSECWHEELERBS(round(0.9*NM))];
MAXDYNBS=[MAXDYNLINBS(round(0.9*NM));MAXDYNLINBS2(round(0.9*NM));MAXDYNLINCONSTBS(round(0.9*NM));...
    MAXDYNWHEELERBS(round(0.9*NM));...
    MAXDYNSECBS(round(0.9*NM));MAXDYNSECWHEELERBS(round(0.9*NM))];
MAXSTATOVTM=[MAXSTATLINOVTM(round(0.9*NM));MAXSTATLINOVTM2(round(0.9*NM));...
    MAXSTATLINCONSTOVTM(round(0.9*NM));MAXSTATWHEELEROVTM(round(0.9*NM));...
    MAXSTATSECOVTM(round(0.9*NM));MAXSTATSECWHEELEROVTM(round(0.9*NM))];
MAXDYNOVTM=[MAXDYNLINOVTM(round(0.9*NM));MAXDYNLINOVTM2(round(0.9*NM));...
    MAXDYNLINCONSTOVTM(round(0.9*NM));MAXDYNWHEELEROVTM(round(0.9*NM));...
    MAXDYNSECOVTM(round(0.9*NM));MAXDYNSECWHEELEROVTM(round(0.9*NM))];

MINSTATBS=[MINSTATLINBS(round(0.9*NM));MINSTATLINBS2(round(0.9*NM));...
    MINSTATLINCONSTBS(round(0.9*NM));MINSTATWHEELERBS(round(0.9*NM));...
    MINSTATSECBS(round(0.9*NM));MINSTATSECWHEELERBS(round(0.9*NM))];
MINDYNBS=[MINDYNLINBS(round(0.9*NM));MINDYNLINBS2(round(0.9*NM));...
    MINDYNLINCONSTBS(round(0.9*NM));MINDYNWHEELERBS(round(0.9*NM));...
    MINDYNSECBS(round(0.9*NM));MINDYNSECWHEELERBS(round(0.9*NM))];
MINSTATOVTM=[MINSTATLINOVTM(round(0.9*NM));MINSTATLINOVTM2(round(0.9*NM));...
    MINSTATLINCONSTOVTM(round(0.9*NM));MINSTATWHEELEROVTM(round(0.9*NM));...
    MINSTATSECOVTM(round(0.9*NM));MINSTATSECWHEELEROVTM(round(0.9*NM))];
MINDYNOVTM=[MINDYNLINOVTM(round(0.9*NM));MINDYNLINOVTM2(round(0.9*NM));...
    MINDYNLINCONSTOVTM(round(0.9*NM));MINDYNWHEELEROVTM(round(0.9*NM));...
    MINDYNSECOVTM(round(0.9*NM));MINDYNSECWHEELEROVTM(round(0.9*NM))];

RESULT=[MAXSTATBS,MAXDYNBS,MAXSTATOVTM,MAXDYNOVTM,...
    MINSTATBS,MINDYNBS,MINSTATOVTM,MINDYNOVTM]*1E-6;

%% SURFACE DISTRIBUTION
Hs=13;
Tp=15.8;
wmin=2*pi/1200;
wmax=sqrt(2*9.812/Hs);%stansberg cut-off frequency
d=100;
[~,~,m0,m1,m2,m3,m4]=JONSWAP(Hs,Tp,wmin,pi/0.5,2*pi/1200);
theorydist
Tz=Tp*0.77;

figure
hold all
plot(sort(MAXSECSURF),(1:numel(MAXSECSURF))/(numel(MAXSECSURF)+1),'.');
plot(cf,Fcf.^(10800/Tz));
DUR=10800;
nsimulate=NM;
BOOTSTRAPING
SURFACE=[MINBOTSEC(round(0.9*NM)),MAXBOTSEC(round(0.9*NM))];

figure
hold all
plot(sort(maxsecsurf(:)),(1:numel(maxsecsurf(:)))/(numel(maxsecsurf(:))+1),'.');
plot(cf,Fcf.^(1200/Tz));
DUR=1200;
nsimulate=numel(maxstatlinbs);
BOOTSTRAPING
SURFACE=[MINBOTSEC(round(0.9*nsimulate)),MAXBOTSEC(round(0.9*nsimulate))];

%% LEGKINEMATIC
IRKL1=load('D:\PROJECT2\USFOS\JACKUP\BIG\doubleleg.txt');
IRKL2=load('D:\PROJECT2\USFOS\JACKUP\BIG\lonesomeleg.txt');
SKL1=load('D:\PROJECT2\USFOS\JACKUP\BIG\stokesdoubleleg.txt');
SKL2=load('D:\PROJECT2\USFOS\JACKUP\BIG\stokeslonesomeleg.txt');
LSKL1=load('D:\PROJECT2\USFOS\JACKUP\BIG\lowstokesdoubleleg.txt');
LSKL2=load('D:\PROJECT2\USFOS\JACKUP\BIG\lowstokeslonesomeleg.txt');
HSKL1=load('D:\PROJECT2\USFOS\JACKUP\BIG\highstokesdoubleleg.txt');
HSKL2=load('D:\PROJECT2\USFOS\JACKUP\BIG\highstokeslonesomeleg.txt');

figure
subplot(1,2,1)
plot(IRKL1(~~IRKL1(:,1),1),IRKL1(~~IRKL1(:,1),2),'.-');hold  all
plot(SKL1(~~SKL1(:,1),1),SKL1(~~SKL1(:,1),2),'.-')
plot(LSKL1(~~LSKL1(:,1),1),LSKL1(~~LSKL1(:,1),2),'.-')
plot(HSKL1(~~HSKL1(:,1),1),HSKL1(~~HSKL1(:,1),2),'.-')
title('Leg 1')
xlabel('u_{x} [m/s]')
ylabel('z [m]')

subplot(1,2,2)
plot(IRKL2(~~IRKL2(:,1),1),IRKL1(~~IRKL2(:,1),2),'.-');hold all
plot(SKL2(~~SKL2(:,1),1),SKL1(~~SKL2(:,1),2),'.-')
plot(LSKL2(~~LSKL2(:,1),1),LSKL1(~~LSKL2(:,1),2),'.-')
plot(HSKL2(~~HSKL2(:,1),1),HSKL1(~~HSKL2(:,1),2),'.-')
title('Leg 2')
xlabel('u_{x} [m/s]')
ylabel('z [m]')

%%
figure
axe1=statsecbs(:,:,41);
axe2=statsecbs(:,:,90);
axe3=statsecbs(:,:,192);
axe4=statsecbs(:,:,241);
axe5=statsecbs(:,:,round(0.9*NM));
plot(axe1(:,1),axe1(:,2));hold all
plot(axe2(:,1),axe2(:,2))
plot(axe3(:,1),axe3(:,2))
plot(axe4(:,1),axe4(:,2))
plot(axe5(:,1),axe5(:,2))

MEAN=mean(unique(minstatsecbs));
STD=std(unique(minstatsecbs));
BETA=STD*sqrt(6)/pi;ALPHA=MEAN-0.5772*BETA;
X=(-log(-log(0.98)))*BETA+ALPHA;

R20=GUMBELF(minstatsecbs,0.98);

figure
hold all
[~]=GUMBELF(MINSTATSECBS);plot(sort(MINSTATSECBS),y,'.');
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Static Baseshear');
legend('Fitted','Data');

Y=-log(-log((1:numel(minstatsecbs))/(numel(minstatsecbs)+1)));
figure
hold all
[~]=GUMBELF(minstatsecbs);%plot(sort(minstatsecbs),Y,'.');
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Static Baseshear');
legend('Fitted','Data');

Y=-log(-log((1:numel(minstatsecovtm))/(numel(minstatsecovtm)+1)));
figure
hold all
[~]=GUMBELF(minstatsecovtm);%plot(sort(minstatsecbs),Y,'.');
xlabel('Baseshear [N]');ylabel('-ln(-ln(CDF))');
title('Negative Largest Static Baseshear');
legend('Fitted','Data');

figure
hold all
plot(sort(MAXSECSURF),(1:numel(MAXSECSURF))/(numel(MAXSECSURF)+1),'.');
plot(cf,Fcf.^(10800/Tz));
DUR=10800;
nsimulate=numel(maxstatsecbs);
BOOTSTRAPING
SURFACE=[MINBOTSEC(round(0.9*nsimulate)),MAXBOTSEC(round(0.9*nsimulate))];

%% LEGKINEMATIC
BSD=load('D:\PROJECT2\USFOS\JACKUP\BIG\NEWKIN\BSNdoubleleg.txt');
BSL=load('D:\PROJECT2\USFOS\JACKUP\BIG\NEWKIN\BSNlonesomeleg.txt');
OVTMD=load('D:\PROJECT2\USFOS\JACKUP\BIG\NEWKIN\OVTMNdoubleleg.txt');
OVTML=load('D:\PROJECT2\USFOS\JACKUP\BIG\NEWKIN\OVTMNlonesomeleg.txt');
SD=load('D:\PROJECT2\USFOS\JACKUP\BIG\NEWKIN\STNdoubleleg.txt');
SL=load('D:\PROJECT2\USFOS\JACKUP\BIG\NEWKIN\STNlonesomeleg.txt');
MD=load('D:\PROJECT2\USFOS\JACKUP\BIG\NEWKIN\MAXdoubleleg.txt');
ML=load('D:\PROJECT2\USFOS\JACKUP\BIG\NEWKIN\MAXlonesomeleg.txt');

figure
subplot(1,2,1)
plot(BSD(:,1),BSD(:,2)-100,'.-');hold  all
plot(OVTMD(:,1),OVTMD(:,2)-100,'.-')
plot(SD(:,1),SD(:,2)-100,'.-')
plot(MD(:,1),MD(:,2)-100,'.-')
title('Double Leg')
xlabel('u_{x} [m/s]')
ylabel('z [m]')

subplot(1,2,2)
plot(BSL(:,1),BSL(:,2)-100,'.-');hold all
plot(OVTML(:,1),OVTML(:,2)-100,'.-')
plot(SL(:,1),SL(:,2)-100,'.-')
plot(ML(:,1),ML(:,2)-100,'.-')
title('Single Leg')
xlabel('u_{x} [m/s]')
ylabel('z [m]')

legend('90% Baseshear','90% Overturning Moment','5^{th} Stokes',...
    'Largest Response')
%%
A=min(statsecbs(IS:end,2,:),[],1);A=abs(A(:));
[A,I]=sort(A);A=[A,I];clear I;

B=min(statsecovtm(IS:end,2,:),[],1);B=abs(B(:));
[B,I]=sort(B);B=[B,I];clear I;

%% SURFACE
figure
hold all
[~]=GUMBELF(unique(maxsecsurf));
plot(cf,-log(-log(Fcf.^(1200/Tz))),'Linewidth',2);
plot(sort(unique(maxsecsurf(:))),...
    -log(-log((1:numel(unique(maxsecsurf(:))))/...
    (numel(unique(maxsecsurf(:)))+1))),'.');
legend('Fitted Gumbel','Lower Limit','Upper Limit','Forisstal^{1200/Tz}',...
    'Data');
xlabel('\zeta_{m} [m]');ylabel('-ln(-ln(CDF))');
title('20-Minute Surface Distribution')

figure
hold all
[S90]=GUMBELF9(unique(maxsecsurf(:)));
plot(cf,-log(-log(Fcf.^(10800/Tz))),'LineWidth',2);
Fcf=1-exp(-(cf/(alphaf*Hs)).^betaf);
C90=((-log(1-(0.9^(Tz/10800))))^(1/betaf))*alphaf*Hs;
xlabel('\zeta_{m} [m]');ylabel('-ln(-ln(CDF))');
legend('Fitted Gumbel','Lower Limit','Upper Limit','90% Value',...
    'Forisstal^{10800/Tz}');
title('3-Hour Surface Distribution')