function WH=fiitingstokes(height,crest,d,PERIODRES)

if ~exist('PERIODRES','var');
    PERIODRES=mean(sqrt(height*[6.5 11]));%sqrt(11*height);
end

WHlow=5;
WHup=100;
ITER=0;
robot=java.awt.Robot;
while 1
    ITER=ITER+1;
WH=(WHlow+WHup)/2;
%--------------------------------------------------------------------------
%Creating Input for FENTON Program
%--------------------------------------------------------------------------
fileID = fopen('D:\PROJECT2\STOKES\Fourier\Data.dat','w');
fprintf(fileID,'BINSAR PROJECT THESIS\r\n');
fprintf(fileID,'%2.4f\tH/d\r\n',WH/d);
fprintf(fileID,'Period\tMeasure of Length: "Wavelength" or "Period"\r\n');
fprintf(fileID,...
    '%2.4f\tValue of that length: L/d or T(g/d)^1/2 respectively\r\n',...
    PERIODRES*sqrt(9.812/d));
fprintf(fileID,'1\t\tCurrent criterion (1 or 2)\r\n');
fprintf(fileID,...
    '0.0\t\tCurrent magnitude, (dimensionless) ubar/(gd)^1/2\r\n');
fprintf(fileID,...
    '5\t\tNumber of Fourier components of Order of Stokes/cnoidal theory\r\n');
fprintf(fileID,'2\t\tNumber of height steps to reach H/d');
fclose(fileID);
%--------------------------------------------------------------------------
%USING FENTON SOFTWARE BU UTILIZING JAVA ROBOT HAND
cd('D:\PROJECT2\STOKES\Fourier\Stokes');
status=system('D:\PROJECT2\STOKES\Fourier\Stokes\Stokes.exe &');
robot.keyPress (java.awt.event.KeyEvent.VK_ENTER);
robot.keyRelease (java.awt.event.KeyEvent.VK_ENTER);
robot.keyPress (java.awt.event.KeyEvent.VK_E);
robot.keyRelease (java.awt.event.KeyEvent.VK_E);
robot.keyPress (java.awt.event.KeyEvent.VK_X);
robot.keyRelease (java.awt.event.KeyEvent.VK_X);
robot.keyPress (java.awt.event.KeyEvent.VK_I);
robot.keyRelease (java.awt.event.KeyEvent.VK_I);
robot.keyPress (java.awt.event.KeyEvent.VK_T);
robot.keyRelease (java.awt.event.KeyEvent.VK_T);
robot.keyPress (java.awt.event.KeyEvent.VK_ENTER);
robot.keyRelease (java.awt.event.KeyEvent.VK_ENTER);
cd('D:\PROJECT2\METOCEAN');

clear SURFACES
SURFACES=importdata('D:\PROJECT2\STOKES\Fourier\Stokes\Surface.res','\t',8);
SURFACES=SURFACES.data(:,1:2);

if abs(max((SURFACES(:,2)-1)*d)-crest)<0.01
    break    
end

if max((SURFACES(:,2)-1)*d)<crest
    WHlow=WH;
else
    WHup=WH;
end

if ITER==50
    disp('Iteration is not converged');
end
end

LAMBDA=(max(SURFACES(:,1))-min(SURFACES(:,1)))*d;
%PERIOD=2*pi/wavefreq(2*pi/LAMBDA,d);
SURFACETIME=SURFACES(:,1)*d*PERIODRES/LAMBDA;

%figure('units','normalized','outerposition',[0 0 1 1])
%figure(20)
%plot(SURFACETIME,(SURFACES(:,2)-1)*d)
%grid on
%grid minor
%xlabel('t (s)');
%ylabel('surface elevation (m)');
%legend('Stokes 5^{th}');

%disp(WH);