function sk=surfacekin(kin)
%extracting surface kinematic from given calculated kinematic and time
%kin = calculated kinematics
%t   = time series

if size(kin,1)==1
    sk=zeros(1,size(kin,2));
    for it=1:size(kin,2)
        a=find(~~kin(1,it,:), 1, 'last' );
        sk(it)=kin(1,it,a);
    end
elseif size(kin,1)>1
    sk=zeros(size(kin,1),size(kin,2));
    for ix=1:size(kin,1)
        for it=1:size(kin,2)
            a=find(~~kin(ix,it,:), 1, 'last' );
            sk(ix,it)=kin(ix,it,a);
        end
    end
end