%==========================================================================
%THEORETICAL DISTRIBUTION OF WAVE CREST
%==========================================================================

%FORISSTALL DISTRIBUTION
T1=2*pi*m0/m1;
g=9.812;
kf=wavenum(2*pi/T1,d);
S1f=(2*pi/g)*(Hs/T1^2);
Urf=Hs/(d^3*kf^2);
alphaf=0.3536+0.2892*S1f+0.1060*Urf;
betaf=2-2.1597*S1f+0.0968*Urf^2;

cf=0:0.1:21;
Fcf=1-exp(-(cf/(alphaf*Hs)).^betaf);

%RAYLEIGH
Fcr=1-exp(-0.5*cf.^2/((Hs/4)^2));