fid1 = fopen('D:\PROJECT2\STOKES\Fourier\Stokes\Flowfield.res','r'); %# open res file for reading
fid2 = fopen('NEW.txt','w'); %# open new csv file
while ~feof(fid1)
    line = fgets(fid1); %# read line by line
    if isempty(line) || strncmp(line,'#',1) || ~ischar(line)|| ~strncmp(line,' ',1)
        continue
    else
        
        fprintf(fid2,'%s',line); %# write the line to the new file
    end 
end
fclose(fid1);
fclose(fid2);
DATA=load('NEW.txt');

%figure(3)
%for i=1:151:size(DATA,1)-1
%    plot(DATA(i:i+150,2)*sqrt(9.812*100),DATA(i:i+150,1)*100)
%    hold all
%end

figure('units','normalized','outerposition',[0 0 1 1])
plot(DATA(1:1+150,2)*sqrt(9.812*d),(DATA(1:1+150,1)-1)*d,'LineWidth',2)
hold all
%[~,I]=sort(SS2,'descend');
%number=find(total==SS2(I(10)));
[UX,~,~,~,ZZ,~,~]=linkinematic(A,w,phase,...
    surface(I(SEQ),number),x(I(SEQ)),t(number),nz,d,2);
axe7=UX(1,1,:);axe7=axe7(:);
plot(axe7(~~axe7),ZZ(~~axe7),'-.','MarkerSize',5);hold all
[cek,~,UX4,~,AX4,~,ZZZ4,~,~,~]...
    =secsurface(A,w,wlim,phase,d,...
    -d,x(I(SEQ)),nz,t(number),2,wp,1,1,surface(I(SEQ),number));%STANSBERG
axe8=UX4(1,1,:);axe8=axe8(:);
plot(axe8(~~axe8),ZZZ4(~~axe8),'.-')
xlabel('horizontal velocity (u) [m/s]')
ylabel('vertical coordinate (z) [m]')
legend('Stokes 5^{th}','Linear','Second Order Difference Term',...
    'Second Order Sum Term','Stansberg Derivative Term',...
    'Stansberg Difference Term','Stansberg Sum Term',...
    'Second Order','Location','SouthEast')
grid on;grid minor
title(['t = ',num2str(t(number))])
hold off

%BASESHEAR AND OVERTURNING MOMENT
[BSstokes(SEQ),OVTMstokes(SEQ)]=bsovtm(...
    permute(DATA(1:1+150,2)*sqrt(9.812*d),[3 2 1]),...
    permute(DATA(1:1+150,5)*9.812,[3 2 1]),...
    ((DATA(1:1+150,1)-1)*d)',d,D1,2);
[BSsecond(SEQ),OVTMsecond(SEQ)]=bsovtm(UX4,AX4,ZZZ4,d,D1,2);