clearvars
clc
d=100;
s=importdata('D:\PROJECT2\STOKES\Fourier\Stokes\Surface.res',' ',8);
s=s.data(:,1:2);
LAMBDA=(max(s(:,1))-min(s(:,1)))*d;

figure(1)
hold all
plot(s(:,1)*d,(s(:,2)-1)*d,'LineWidth',2)
xlabel('x [m]')
ylabel('\zeta [m]')

fid1 = fopen('D:\PROJECT2\STOKES\Fourier\Stokes\Flowfield.res','r'); %# open res file for reading
fid2 = fopen('NEW.txt','w'); %# open new csv file
while ~feof(fid1)
    line = fgets(fid1); %# read line by line
    if isempty(line) || strncmp(line,'#',1) || ~ischar(line)|| ~strncmp(line,' ',1)
        continue
    else
        
        fprintf(fid2,'%s',line); %# write the line to the new file
    end 
end
fclose(fid1);
fclose(fid2);
DATA=load('NEW.txt');

figure(2)
hold all
plot(DATA(1:1+150,2)*sqrt(9.812*d),(DATA(1:1+150,1)-1)*d,'LineWidth',2)
xlabel('u_{x} [m/s]');ylabel('z [m]')

figure(3)
hold all
asurf=DATA(151:152:end,5);[~,N]=max(asurf);
plot(DATA(1+(N*151):((N+1)*151),5)*sqrt(9.812),(DATA(1+(N*151):((N+1)*151),1)-1)*d,'LineWidth',2)
xlabel('a_{x} [m/s]');ylabel('z [m]')