clearvars
clc
load('D:\PROJECT2\MATLAB\VERIFY\SECOND ORDER\VELOCITY\900FFT1-6.mat')
total4(isnan(total4))=0;
NSEQ=size(total4,1);
BSstokes=zeros(1,NSEQ);BSsecond=BSstokes;
OVTMstokes=BSstokes;OVTMsecond=BSstokes;PERIODRES=BSstokes;WHD=BSstokes;
WHF=BSstokes;CREST=BSstokes;
for SEQ=1:NSEQ;
close all
%SEQ=5;
INTERVAL=25;
%[~,I]=sort(SS2,'descend');
total4(isnan(total4))=0;
[AAA,I]=sort(max(total4,[],2),'descend');
%number=find(total==SS2(I(10)));
number=find(total4(I(SEQ),:)==max(total4(I(SEQ),:)));
SURFACERES=total4(I(SEQ),number-INTERVAL:number+INTERVAL);
%TROUGH=min(SURFACERES);
%disp(['Trough = ',num2str(TROUGH)]);
TIME=t(number-INTERVAL:number+INTERVAL);

%CALCULATING PERIOD FOR STOKES 5TH INPUT
SURFlow=SURFACERES(1:end-2);
SURFup=SURFACERES(3:end);
SURFm=SURFACERES(2:end-1);
Si1=SURFACERES(find(SURFm<SURFlow&SURFm<SURFup)+1);
Ti1=TIME(find(SURFm<SURFlow&SURFm<SURFup)+1);
PERIODRES(SEQ)=max(Ti1(2:end)-Ti1(1:end-1));
%if numel(Si1)>2
%    disp('Number of trough more than 2, need to recheck!');
%end

%figure
%plot(TIME-mean(TIME),SURFACERES,Ti1-mean(TIME),Si1,'.')
%grid on
%grid minor
%title(['t = ',num2str(t(number))])

WHlow=5;
WHup=100;
ITER=0;
robot=java.awt.Robot;
while 1
    ITER=ITER+1;
WH=(WHlow+WHup)/2;
%--------------------------------------------------------------------------
%Creating Input for FENTON Program
%--------------------------------------------------------------------------
fileID = fopen('D:\PROJECT2\STOKES\Fourier\Data.dat','w');
fprintf(fileID,'BINSAR PROJECT THESIS\r\n');
fprintf(fileID,'%2.4f\tH/d\r\n',WH/d);
fprintf(fileID,'Period\tMeasure of Length: "Wavelength" or "Period"\r\n');
fprintf(fileID,...
    '%2.4f\tValue of that length: L/d or T(g/d)^1/2 respectively\r\n',...
    PERIODRES(SEQ)*sqrt(9.812/d));
fprintf(fileID,'1\t\tCurrent criterion (1 or 2)\r\n');
fprintf(fileID,...
    '0.0\t\tCurrent magnitude, (dimensionless) ubar/(gd)^1/2\r\n');
fprintf(fileID,...
    '5\t\tNumber of Fourier components of Order of Stokes/cnoidal theory\r\n');
fprintf(fileID,'2\t\tNumber of height steps to reach H/d');
fclose(fileID);
%--------------------------------------------------------------------------
%USING FENTON SOFTWARE BU UTILIZING JAVA ROBOT HAND
cd('D:\PROJECT2\STOKES\Fourier\Stokes');
status=system('D:\PROJECT2\STOKES\Fourier\Stokes\Stokes.exe &');
robot.keyPress (java.awt.event.KeyEvent.VK_ENTER);
robot.keyRelease (java.awt.event.KeyEvent.VK_ENTER);
robot.keyPress (java.awt.event.KeyEvent.VK_E);
robot.keyRelease (java.awt.event.KeyEvent.VK_E);
robot.keyPress (java.awt.event.KeyEvent.VK_X);
robot.keyRelease (java.awt.event.KeyEvent.VK_X);
robot.keyPress (java.awt.event.KeyEvent.VK_I);
robot.keyRelease (java.awt.event.KeyEvent.VK_I);
robot.keyPress (java.awt.event.KeyEvent.VK_T);
robot.keyRelease (java.awt.event.KeyEvent.VK_T);
robot.keyPress (java.awt.event.KeyEvent.VK_ENTER);
robot.keyRelease (java.awt.event.KeyEvent.VK_ENTER);
cd('D:\PROJECT2\MATLAB\VERIFY\SECOND ORDER\VELOCITY');

clear SURFACES
SURFACES=importdata('D:\PROJECT2\STOKES\Fourier\Stokes\Surface.res',' ',8);
SURFACES=SURFACES.data(:,1:2);

if abs(max((SURFACES(:,2)-1)*d)-max(SURFACERES))<0.01
    break    
end

if max((SURFACES(:,2)-1)*d)<max(SURFACERES)
    WHlow=WH;
else
    WHup=WH;
end

if ITER==50
    disp('Iteration is not converged');
end
end

LAMBDA=(max(SURFACES(:,1))-min(SURFACES(:,1)))*d;
%PERIOD=2*pi/wavefreq(2*pi/LAMBDA,d);
SURFACETIME=SURFACES(:,1)*d*PERIODRES(SEQ)/LAMBDA;

figure('units','normalized','outerposition',[0 0 1 1])
plot(SURFACETIME,(SURFACES(:,2)-1)*d,TIME-t(number),SURFACERES)
grid on
grid minor
xlabel('t (s)');
ylabel('surface elevation (m)');
legend('Stokes 5^{th}','Second Order');
title(['t = ',num2str(t(number))])

kinematicstest
saveas(figure(1),['FFT1-6-',num2str(SEQ),'SURF.fig'])
saveas(figure(1),['FFT1-6-',num2str(SEQ),'SURF.jpg'])

saveas(figure(2),['FFT1-6-',num2str(SEQ),'VEL.fig'])
saveas(figure(2),['FFT1-6-',num2str(SEQ),'VEL.jpg'])

WHD(SEQ)=max(SURFACERES)-min(SURFACERES);
WHF(SEQ)=WH;
CREST(SEQ)=max(SURFACERES);
end

%--------------------------------------------------------------------------
%PRINT OUT BASE SHEAR AND OVERTURNING MOMENT RESULT
%--------------------------------------------------------------------------
fileID = fopen('FFT1-6.txt','w');
fprintf(fileID,'BASE SHEAR AND OVERTURNING MOMENT\r\n\r\n');
fprintf(fileID,'No\tStokes\tModel\t\t\t\t\tStokes\tModel\tStokes\t\tModel\r\n');
fprintf(fileID,'\tWave\tWave\t\t\tCrest\tBase\tBase\tOverturning\tOverturning\r\n');
fprintf(fileID,'\tHeight\tHeight\tPeriod\tHeight\tShear\tShear\tMoment\t\tMoment\r\n');
fprintf(fileID,'\t(m)\t\t(m)\t\t(s)\t\t(m)\t\t(kN)\t(kN)\t(kNm)\t\t(kNm)\r\n\r\n');
fprintf(fileID,'%2d\t%-2.3f\t%-2.3f\t%-2.3f\t%-2.3f\t%-2.3f\t%-2.3f\t%-2.3f\t%-2.3f\r\n',...
    [(1:NSEQ);WHF;WHD;PERIODRES;CREST;BSstokes*1e-6;BSsecond*1e-6;...
    OVTMstokes*1e-6;OVTMsecond*1e-6]);
fclose(fileID);